I have a Powerbook Pro running 10.5.8. I want to upgrade to Snow, but will it cause problems when using the CS3 programs & fonts?

Mac OS X 10.6 Snow Leopard

Back To Product

Follow this Question

1 Answer from the Community

  • There's not a possible option for you too upgrade to Snow Leopard, it's requirements are a Intel Architecture processer, and the PowerBook's run on an older one.

    Was this useful? Answer 1

    0 of 0 people found this useful

Related Questions